#### D.8.7.16 num_elim1

Procedure from library `recover.lib` (see recover_lib).

Usage:
  num_elim1(P,D,C,v); list P, int D, bigint C, intvec v
  P a list of lists representing a witness point set representing an ideal J D should be a bound to the degree of the elements of the components C the number with which the images of the Veronese embeddings are multiplied v an intvec specifying the numbers/positions of the variables to be eliminated

Return:
  ideal: the ideal obtained from J by eliminating the variables specified in v

Remarks:
  This procedure just canonically projects the witness points onto the components specified in the intvec v and then applies num_radical1 to the resulting points.

Note:
  Should only be called from a ring over the complex numbers.

Example:

    LIB "recover.lib";
    //First, we write the input file for bertini and compute the elimination ideal
    //symbolically.
    ring r=0,(x,y,z),dp;
    poly f1=x-y;
    poly f2=z*(x+3y);
    poly f3=z*(x2+y2);
    ideal J=f1,f2,f3;
    ideal E2=elim(J,z);
    writeBertiniInput(J,100);
    //Then we attempt to compute the elimination ideal via the hybrid algorithm.
    ring R=(complex,100,i),(x,y,z),dp;
    system("sh","bertini input");
    list P=getWitnessSet();
    intvec v=3;
    bigint C=bigint(10)**25;
    ideal E1=num_elim1(P,2,C,v);
    //Lastly, we compare the results.
    E1;
    setring r;
    E2;

User manual for Singular version 4.4.1, 2025, generated by texi2html.